## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:       labwc
Version:    0.5.3
Release:    %autorelease
Summary:    Openbox alternative for Wayland

License:    GPLv2
URL:        https://github.com/labwc/labwc
Source0:    %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:    %{name}.desktop

BuildRequires: gcc
BuildRequires: meson >= 0.59.0

BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libinput) >= 1.14
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(scdoc)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: pkgconfig(wayland-server) >= 0.19.0
BuildRequires: pkgconfig(wlroots) >= 0.15.0
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xkbcommon)

# Upstream recommendations
# https://github.com/johanmalm/labwc#6-integrate
Recommends: bemenu              %dnl # Launchers
Recommends: swaylock            %dnl # Screen locker
Suggests:   fuzzel wofi         %dnl # Launchers
Suggests:   grim                %dnl # Screen-shooter
Suggests:   kanshi wlr-randr    %dnl # Output managers
Suggests:   swaybg              %dnl # Background image
Suggests:   waybar              %dnl # Panel

# Downstream usefull stuff which already packaged in Fedora
Suggests:   wdisplays           %dnl # GUI display configurator for wlroots compositors
  

%description
Labwc is a wlroots-based stacking compositor for Wayland.

It has the following aims:

  * Be light-weight, small and fast.
  * Use openbox-3.4 specification for configuration and themes.
  * Keep feature set small (ca 40% of openbox).
  * Where practicable, use clients for wall-paper, panel, screenshots, and so
    on.
  * Stay in keeping with wlroots and sway in terms of approach and coding
    style.


%prep
%autosetup -p1


%build
%meson \
    -Dxwayland=enabled \
    %{nil}
%meson_build


%install
%meson_install
install -Dpm0644 %{SOURCE1} -t %{buildroot}%{_datadir}/wayland-sessions/


%files
%license LICENSE
%doc README.md NEWS.md
%{_bindir}/%{name}
%{_datadir}/wayland-sessions/%{name}.desktop
%{_mandir}/man{1,5}/*.{1,5}*


%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> 0.5.3-1
- chore(update): 0.5.3

* Fri Jun 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.2-1
- chore(update): 0.5.2

* Wed Feb 23 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-2
- build: Add weak dep 'swaylock'

* Mon Feb 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- chore(update): 0.5.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- chore(update): 0.4.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- build(update): 0.3.0

* Mon Apr 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-1
- build(update): 0.2.1

* Fri Apr 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.0-1
- build(update): 0.2.0

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-3
- build: Convert Recommends deps into Suggests

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-2
- feat: Add session file for DM

* Sun Mar 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-1
- Initial package

